Summary:	XDG user dirs
Name:		xdg-user-dirs
Version:	0.17
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:	http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.xz
Source1:	xdg-user-dirs.desktop
Patch0:		xdg-user-dirs-0.8-locale.patch
Patch1:		xdg-user-dirs-0.11-mdv.patch
Patch3:		xdg-user-dirs-0.13-mdkfolders.patch
Patch5:		xdg-user-dirs-fdo-use-fuzzy.patch
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%description -l de
xdg-user-dirs ist ein Werkzeug zur Unterstützung und Verwaltung 
"bekannten" Benutzer Verzeichnisse wie der Desktop-Ordner und Musik-Ordner. 
Es verwaltet auch Lokalisierung (Übersetzung) der Dateinamen.

%prep
%setup -q
%apply_patches

%build
%configure2_5x

%make_build

# Needed by patch5
cd po
touch *.po
make update-gmo

%install
%make_install

%find_lang %{name}

# See https://bugs.mageia.org/show_bug.cgi?id=22889
%if 0
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d/
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update << EOF
#!/bin/sh
if [ -x %{_bindir}/xdg-user-dirs-update ]; then
  %{_bindir}/xdg-user-dirs-update
fi
EOF
%endif

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%if 0
%attr(755,root,root) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update
%endif
%attr(644,root,root) %{_sysconfdir}/xdg/autostart/xdg-user-dirs.desktop
%{_bindir}/xdg-user-dir
%{_bindir}/xdg-user-dirs-update
%{_mandir}/man1/xdg-user-dir.1.*
%{_mandir}/man1/xdg-user-dirs-update.1.*
%{_mandir}/man5/user-dirs.conf.5.*
%{_mandir}/man5/user-dirs.defaults.5.*
%{_mandir}/man5/user-dirs.dirs.5.*


%changelog
* Tue Jul 16 2019 tex - 0.17-1pclos2019
- new

* Fri Nov 12 2015 bb <bb> 0.15-1pclos2015
- update

* Tue Jun 21 2011 Texstar <texstar at gmail.com> 0.14-1pclos2011
- 0.14

* Mon Dec 28 2009 maik3531 <maik3531 at yahoo dot de> 0.12-1pclos2010
- Import xdg-user-dirs

